# CSS API

Programmatically manage your Comparison Shopping Service (CSS) account data at scale.

- [REST Resource: v1.accounts](https://developers.google.com/comparison-shopping-services/api/reference/rest#v1.accounts)
- [REST Resource: v1.accounts.cssProductInputs](https://developers.google.com/comparison-shopping-services/api/reference/rest#v1.accounts.cssProductInputs)
- [REST Resource: v1.accounts.cssProducts](https://developers.google.com/comparison-shopping-services/api/reference/rest#v1.accounts.cssProducts)
- [REST Resource: v1.accounts.labels](https://developers.google.com/comparison-shopping-services/api/reference/rest#v1.accounts.labels)
- [REST Resource: v1.accounts.quotas](https://developers.google.com/comparison-shopping-services/api/reference/rest#v1.accounts.quotas)

## Service: css.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://css.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://css.googleapis.com`

## REST Resource: [v1.accounts](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/get` | `GET /v1/{name=accounts/*}` Retrieves a single CSS/MC account by ID. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts` | `GET /v1/{parent=accounts/*}:listChildAccounts` Lists all the accounts under the specified CSS account ID, and optionally filters by label ID and account name. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/updateLabels` | `POST /v1/{name=accounts/*}:updateLabels` Updates labels assigned to CSS/MC accounts by a CSS domain. |

## REST Resource: [v1.accounts.cssProductInputs](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs)

| Methods ||
|---|---|
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/delete` | `DELETE /v1/{name=accounts/*/cssProductInputs/*}` Deletes a CSS Product input from your CSS Center account. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert` | `POST /v1/{parent=accounts/*}/cssProductInputs:insert` Uploads a CssProductInput to your CSS Center account. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch` | `PATCH /v1/{cssProductInput.name=accounts/*/cssProductInputs/*}` Updates the existing Css Product input in your CSS Center account. |

## REST Resource: [v1.accounts.cssProducts](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProducts)

| Methods ||
|---|---|
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProducts/get` | `GET /v1/{name=accounts/*/cssProducts/*}` Retrieves the processed CSS Product from your CSS Center account. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProducts/list` | `GET /v1/{parent=accounts/*}/cssProducts` Lists the processed CSS Products in your CSS Center account. |

## REST Resource: [v1.accounts.labels](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels)

| Methods ||
|---|---|
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/create` | `POST /v1/{parent=accounts/*}/labels` Creates a new label, not assigned to any account. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/delete` | `DELETE /v1/{name=accounts/*/labels/*}` Deletes a label and removes it from all accounts to which it was assigned. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list` | `GET /v1/{parent=accounts/*}/labels` Lists the labels owned by an account. |
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/patch` | `PATCH /v1/{accountLabel.name=accounts/*/labels/*}` Updates a label. |

## REST Resource: [v1.accounts.quotas](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas)

| Methods ||
|---|---|
| `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list` | `GET /v1/{parent=accounts/*}/quotas` Lists the daily call quota and usage per group for your CSS Center account. |